%global debug_package %{nil}

Name:       vimwiki-utils
Version:    1.0
Release:    1%{?dist}
Summary:    Various useful stuff for Vimwiki

License:    MIT
URL:        https://github.com/vimwiki/utils
Source0:    https://github.com/vimwiki/utils/archive/v%{version}/%{name}-%{version}.tar.gz


BuildRequires: python3-devel
BuildRequires: python3-pytest
BuildRequires: python3-mock
#Requires:


%description
TODO


%prep
%setup -q


%check
PYTHONPATH=.:$PYTHONPATH python3 -m pytest tests/


%build


%install
mkdir -p %{buildroot}/%{_bindir}
cp -ar vmtree.sh %{buildroot}/%{_bindir}/vimwiki_tree
cp -ar vwtags.py %{buildroot}/%{_bindir}/vimwiki_tags
cp -ar vwunfinished.py %{buildroot}/%{_bindir}/vimwiki_unfinished
# cp -ar dfsvw.py %{buildroot}/%{_bindir}/vimwiki_dfs  # @FIXME Someone needs to rewrite the script to python3


%files
%doc README.md
%license LICENSE
%{_bindir}/vimwiki_*


%changelog
* Wed Jun 19 2019 Jakub Kadlčík <jkadlcik@redhat.com> - 1.0-1
- Initial version
